Package csb :: Package bio :: Package sequence :: Module alignment :: Class LocalAlignmentAlgorithm

[frames] | no frames]

# Class LocalAlignmentAlgorithm

source code

                    object --+
                             |
    AbstractAlignmentAlgorithm --+
                                 |
                                LocalAlignmentAlgorithm

Smith-Waterman local sequence alignment.

Nested Classes
Inherited from `AbstractAlignmentAlgorithm`: `__metaclass__`

Instance Methods

__init__(self, scoring=<csb.bio.sequence.alignment.IdentityMatrix object>, gap=-1) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `AbstractAlignmentAlgorithm`: `align` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| START = `0`
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractAlignmentAlgorithm`: `gap`, `scoring_matrix` Inherited from `object`: `__class__`

Method Details

### __init__(self, scoring=<csb.bio.sequence.alignment.IdentityMatrix object>, gap=-1)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `scoring` - scoring matrix
  - `gap` - simple gap penalty
Overrides: object.__init__
  (inherited documentation)